#### D.15.20.1 LTGS

Procedure from library `sagbigrob.lib` (see sagbigrob_lib).

Usage:
  LTGS(I,A); I ideal of subalgebra A, A subalgebra (which is a finite sagbi basis).

Return:
  a module M.

Example:

    LIB "sagbigrob.lib";
    // Example 1:
    ring r=ZZ,(x,y),Dp;
    ideal A=2x2+xy,2y2,3xy;
    ideal I=4x2y2+2xy3,18x2y4,36xy5;
    LTGS(I,A);
    ==> _[1]=9y2*gen(1)-2*gen(2)
    ==> _[2]=9y4*gen(1)-xy*gen(3)
    ==> _[3]=-xy*gen(3)+2y2*gen(2)
    ==> _[4]=xy3*gen(1)
    ==> _[5]=-18xy3*gen(1)+2x2*gen(3)+xy*gen(3)
    // Example 2:
    ring r2=QQ,(x,y),Dp;
    ideal A=x2,xy;
    ideal I=x3y+x2,x4+x2y2,-x3y3-x2y2;
    LTGS(I,A);
    ==> _[1]=x2*gen(1)-xy*gen(2)
    ==> _[2]=-x2y2*gen(1)-x2*gen(3)
    ==> _[3]=-x3y3*gen(2)-x4*gen(3)

User manual for Singular version 4.4.1, 2025, generated by texi2html.